If the Bishop is a professional in Healing Magic, the Prophet is an expert in Supplementary Magic. Supplementary Magic mainly strengthens allies. It is possible for Prophets to fight physically with monsters, but not before having heavy equipment and strengthening it's self with magic. And Prophets strengthen our forces, during Siege Battle they play a vital role increasing combat skills of our forces.
Of course the basic skills are Supplementary Magic which increases the attack power, hit rate, evasion, and defense.
To be a Prophet, your level must be over 40 and you need to collect the Mark of the Pilgrim, the Mark of Trust, and the Mark of the Reformer.
Ask about marks.
Return